Skip to content

Status

Total endpoints: 2 Example base URL: https://<ROBOT_IP>/rest Required access for this section: PUBLIC

Read Main

  • Endpoint: /
  • Function: Read main.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/"
headers = {}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "message": "Server run!"
}

Read Status

  • Endpoint: /status
  • Function: A route to verify that the server is up and running.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/status"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/status"
headers = {}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "message": "Server Server: 200 - OK"
}